Create Customer Onboarding Request
curl --request POST \
--url https://api.blockradar.co/v1/customers/{customerId}/onboarding-requests \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"provider": "infinia",
"callbackUrl": "https://example.com/webhooks/customer-onboarding"
}
'import requests
url = "https://api.blockradar.co/v1/customers/{customerId}/onboarding-requests"
payload = {
"provider": "infinia",
"callbackUrl": "https://example.com/webhooks/customer-onboarding"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
provider: 'infinia',
callbackUrl: 'https://example.com/webhooks/customer-onboarding'
})
};
fetch('https://api.blockradar.co/v1/customers/{customerId}/onboarding-requests', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"statusCode": 123,
"message": "<string>",
"data": {
"customerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"case": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"businessId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"customerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"providerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"subjectType": "customer",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"providerReference": "<string>",
"routeIntent": {},
"data": {},
"hostedSessions": [
{}
],
"reason": "<string>",
"metadata": {}
},
"requirements": {
"subjectType": "customer",
"schema": {}
}
}
}Onboarding
Create Customer Onboarding Request
Creates an API-based onboarding request for a customer and returns the Dynamic Form Schema that describes the required customer information. Complete data.requirements.schema, then submit the resulting object to the request’s submit endpoint.
POST
/
v1
/
customers
/
{customerId}
/
onboarding-requests
Create Customer Onboarding Request
The response includes
data.requirements.schema. Complete that schema and send
the resulting object as data to the submit operation.
See Dynamic Forms for the schema-processing flow.Authorizations
Path Parameters
Customer identifier.
Body
application/json
Provider slug or provider UUID. Omit to use provider routing.
Example:
"infinia"
Intended customer activity.
Available options:
onramp, offramp Show child attributes
Show child attributes
URL notified as the onboarding request progresses.
Example:
"https://example.com/webhooks/customer-onboarding"
⌘I

